CKEDITOR.plugins.add( 'gallery',
{
	init: function( editor )
	{
    CKEDITOR.dialog.add( 'galleryDialog', function ( editor )
		{
			return {
				title : 'Dodaj Galerię',
				minWidth : 400,
				minHeight : 200,
				contents :
				[
					{
						id : 'tab1',
						label : 'Ścieżka do galerii:',
						elements :
						[
							{
								type : 'text',
								id : 'gallery',
								label : 'Ścieżka:',
								validate : CKEDITOR.dialog.validate.notEmpty( "Ścieżka nie może być pusta." )
							}
						]
					}
				],
				onOk : function()
				{
					var dialog = this;
          var path = dialog.getValueOf( 'tab1', 'gallery' );
          editor.insertHtml( '{galeria}' + path + '/{/galeria}' );
				}
			};
		} );
    
		editor.addCommand( 'galleryDialog',new CKEDITOR.dialogCommand( 'galleryDialog' ) );
    
		editor.ui.addButton( 'Gallery',
		{
			label: 'Dodaj Galerię',
			command: 'galleryDialog',
			icon: this.path + 'images/gallery.png'
		} );
	}
} );